poppetje_start = '7_1';
kamer_lengte = 6;
kamer_breedte = 14;
vloer_disable = "";
vloer_disable = new Array();
function checktegels(posx, posy)
{
	to_return = "geen";
	tegel1 = 0;
	tegel2 = 0;
	tegelx = 0;
	tegely = 0;
	to_return = checkvloer(posx, posy, 437, 138, kamer_lengte, kamer_breedte);
	eval(vloer_eval);
	vloer_done = true;
	if (to_return == "geen")
	{
		HideContent('tegel_licht');
	}
	geven = new Array();
	geven[0] = to_return;
	geven[1] = tegel1;
	geven[2] = tegel2;
	geven[3] = tegelx;
	geven[4] = tegely;
	return geven;
}
function checkmuren(posx, posy, uitvoertype)
{
	to_return = "nee";
	to_return2 = 1;
	if (checkmuur(1, posx, posy, uitvoertype, 22, 230))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 54, 214))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 86, 198))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 118, 182))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 150, 166))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 182, 150))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 214, 134))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 246, 118))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 278, 102))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 310, 86))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 342, 70))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 374, 54))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 406, 38))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 438, 22))
	{
		to_return = "ja";
		to_return2 = 1;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 470, 21))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 502, 37))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 534, 53))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 566, 69))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 598, 85))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (checkmuur(1, posx, posy, uitvoertype, 630, 101))
	{
		to_return = "ja";
		to_return2 = 2;
	}
	if (uitvoertype == 1)
	{
		if (to_return == "ja")
		{
			return true;
		}
		else
		{
			return false;
		}
	}
	else
	{
		return to_return2;
	}
}